__gnu_pbds::detail::pat_trie_base::_Metadata< Metadata, _Alloc >(3cxx)

NAME
__gnu_pbds::detail::pat_trie_base::_Metadata< Metadata, _Alloc > - Metadata base primary template.

SYNOPSIS

  Public Types

typedef _Alloc::template rebind< Metadata > __rebind_m
typedef _Alloc allocator_type
typedef __rebind_m::other::const_reference const_reference
typedef Metadata metadata_type

  Public Member Functions

const_reference get_metadata () const

  Public Attributes

metadata_type m_metadata

Detailed Description

  template<typename Metadata, typename _Alloc>
struct __gnu_pbds::detail::pat_trie_base::_Metadata< Metadata, _Alloc >" Metadata base primary template.

Definition at line 67 of file pat_trie_base.hpp.

Author

Generated automatically by Doxygen for libstdc++ from the source code.